elasticsearchservice_get_compatible_elasticsearch_versions: Returns a list of upgrade compatible Elastisearch versions

Description Usage Arguments Value Request syntax

View source: R/elasticsearchservice_operations.R

Description

Returns a list of upgrade compatible Elastisearch versions. You can optionally pass a DomainName to get all upgrade compatible Elasticsearch versions for that specific domain.

Usage

1

Arguments

DomainName

Value

A list with the following syntax:

 1
 2
 3
 4
 5
 6
 7
 8
 9
10
list(
  CompatibleElasticsearchVersions = list(
    list(
      SourceVersion = "string",
      TargetVersions = list(
        "string"
      )
    )
  )
)

Request syntax

1
2
3
svc$get_compatible_elasticsearch_versions(
  DomainName = "string"
)

paws.analytics documentation built on March 8, 2021, 1:10 a.m.